/* Shader for texture mapping the bark
 *
 * The Blue Moon Rendering Tools (BMRT) are:
 * (c) Copyright 1990-2000 Exluna, Inc. and Larry Gritz. All rights reserved.
 */


surface
bark ( float Ka = 1, Kd = .5, Ks = .5, roughness = .1;
		 color specularcolor = 1;
		 string texturename = ""; )
{
    Ci = Cs;

    if (texturename != "") {
        if (match(".tif",texturename)==0.0)
 	    Ci *= color texture (concat(texturename,".tif"));
          else
 	    Ci *= color texture (texturename);
     } else
        Ci *= color texture ("bark.tif");


    normal Nf = faceforward (normalize(N),I);

    Ci = Ci * (Ka*ambient() + Kd*diffuse(Nf)) +
	 specularcolor * Ks*specular(Nf,-normalize(I),roughness);
    Oi = Os;  Ci *= Oi;

}
